--- scripts/setup/nxnode.orig	2007-06-20 18:30:42.000000000 +0200
+++ scripts/setup/nxnode	2007-06-21 11:58:42.604968067 +0200
@@ -1236,6 +1236,10 @@
       runCommand "$RMCOMMAND -f /etc/rc0.d/K01nxsensor" "Unable to remove '/etc/rc0.d/K01nxsensor'" "warn"
       fi
 
+  elif [ "$system" = "gentoo" ]; then
+    # do nothing; this is handled by Gentoo ebuild
+    echo > /dev/null
+
   else
       if [ -h /etc/rc.d/rc3.d/S99nxsensor ];
       then
@@ -1280,6 +1284,10 @@
 
 addNXinit () {
 
+ if [ "$system" = "gentoo" ] ; then
+   return;
+ fi
+
  runCommand "cat $NODE_ROOT/scripts/init/nxsensor > /etc/init.d/nxsensor" "Unable to create: '/etc/init.d/nxsensor'" "warn"
  runCommand "chmod +x /etc/init.d/nxsensor" "Cannot set permissions of '/etc/init.d/nxsensor' file" "warn"
 
@@ -2222,6 +2230,10 @@
   system=fedora
 fi
 
+if [ -d /usr/portage ]; then
+  system=gentoo
+fi
+
 if [ "x$system" = "x" -a -f /etc/release ];
 then
   system=solaris
@@ -2256,6 +2268,7 @@
     "fedora"             ) ;;
     "debian"             ) ;;
     "solaris"             ) ;;
+    "gentoo"            );;
     ""                 ) ARGS=-1 && errMsg="$PREFIX $ERROR ERROR: Unable to autodetect the operating system type, please specify it" ;;
     *                  ) ARGS=-1 && errMsg="$PREFIX $ERROR ERROR: Unsupported operating system '$system'" ;;
   esac
